Subject: Re: bug#5146: Malayalam conjuncts are not formed inside 'call editor' buffer of po-mode

From: Kenichi Handa <[email-masked]>
Date: Thu, 10 Dec 2009 20:23:28 +0900

In article <[email-masked]>, Praveen A <[email-masked]> writes:

> > I've just started to debug this problme.  Please wait for a
> > while.

> Thanks. I'll wait.

I found the source of the problem.  Fedora 12 has this font
configuration in /etc/fonts/conf.d/90-smc-fonts.conf:

<!-- multiply the matrix of Meera font for solving size mismatch with Rachana-->
<match target="font">
	<test name="family">
		<string>Meera</string>
	</test>
	<edit name="matrix" mode="assign">
			<name>matrix</name>
			<matrix>
				<double>1.2</double><double>0</double>
				<double>0</double><double>1.2</double>
			</matrix>
	</edit>
</match>

When I cancel that effect by having this in my
~/.fonts.conf:

<match target="font">
	<test name="family">
		<string>Meera</string>
	</test>
	<edit name="matrix" mode="assign">
			<name>matrix</name>
			<matrix>
				<double>1</double><double>0</double>
				<double>0</double><double>1</double>
			</matrix>
	</edit>
</match>

the rendering problem disappears except for that a little
bit smaller glyphs are shown compared with the case when you
use the other fonts (e.g. rachana).  How about you?

---
Kenichi Handa
[email-masked]